package cn.meowrain.aioj.backend.question.common.enums;

import lombok.Getter;

/**
 * 题目提交状态枚举
 */
@Getter
public enum QuestionSubmitStatusEnum {

    /**
     * 待判题
     */
    WAITING(0, "待判题"),

    /**
     * 判题中
     */
    JUDGING(1, "判题中"),

    /**
     * 成功
     */
    SUCCESS(2, "成功"),

    /**
     * 失败
     */
    FAILED(3, "失败"),

    ;

    /**
     * 状态值
     */
    private final Integer value;

    /**
     * 描述
     */
    private final String desc;

    QuestionSubmitStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }
}
